FDLog 2000

FDLog 2000 (2.3.8)

(OBS: Billeder er version 2.3.1 og fra Win98, men indholdet er beskrivende).

Velkommen til og tak fordi du valgte FDlog 2000.

Jeg håber du får masser af fornøjelse ud af dette program.

Men...

Programmet anvendes på eget ansvar.

Jeg påtager mig intet ansvar for programfejl, smadrede logs eller andet programmet måtte forvolde.

Vy 73 de OZ1IVA, Lars


Formål

Formålet med programmet er at have et Windows program til at logge QSO'er med under Fieldday testen i Danmark.

Dette program må frit benyttes af radioamatører, som måtte have fornøjelse af programmet.

Der må IKKE tages penge for programmet.

Programmet er udviklet af OZ1IVA, Lars i De Herrens Aar 1998 og 1999 (...og 2000 og 2001) ud fra et personligt ønske om at lære mere om Visual Basic og fordi vi (dvs. Københavns afd. af EDR) efterhånden trængte til en revideret og køredygtig variation over OZ2ABA, Scotts og OZ1GDI gode Fieldday program, som efterhånden er blevet for lille til de mange nye præfikser, der nu har set dagens lys.

Tak til turbotesterne: OZ5ABD, Isa , OZ5LH, Jørgen , OZ1CQT, Henrik m. fl. for positivt input og for for lidt søvn et par nætter.


Installation

Programmet installeres som et sædvanligt Windows program.

Hvis du har downloaded programmet fra internettet:

  1. Pak FDlog.zip filen ud i et temporært bibliotek.
  2. Kør setup.exe

Hvis du også skal bruge CW-delen skal du have DirectX version 7 eller bedre installeret.

  1. Pak DirectX.zip ud i et temporært bibliotek.
  2. Kør dxsetup.exe
  3. Genstart PC'en

Hvis du har programmet på CD rom:

  1. Indsæt CD-rom i CD-rom drevet.
  2. Kør D:setup.exe (hvor D: er dit CD-rom drev)
  3. Følg anvisningerne.

Hvis du også skal bruge CW-delen skal du have DirectX version 7 eller bedre installeret.

  1. Hvis du også skal bruge CW-delen skal du også have DirectX7 eller bedre installeret.
  2. Kør D:\directx\dxsetup.exe (hvor D: er dit CD-rom drev)


Krav til PC'en

Minimum Windows 95/98 m. 16MB ram.

Programmet kan sikkert også køre under NT. (herfra undtaget lyddelen)
Diskplads: Nok (programmet er ikke særligt stort og kan sikkert køre på de fleste maskiner, hvor windows ikke i forvejen kører langsomt).

Jeg har set programmet køre OK på en 486 100MHz med vistnok 16MB ram i.


Længe før testen

Skal du, hvis du vil køre cw, bygge et lille interface til at lade PC'en styre nøglingen i CW-mode.


CW interface

OZ5LH, Jørgen har været så rar at lave et lille kredsløb, som kan nøgle stationen i cw mode.

Ideen er at, når der kommer lyd fra lydkortet, så taster kredsløbet stationen.

(Note: Jeg var nødt til at fjerne de 100uF som sidder mellem 1n4148 dioden og de 100uH for at få det til at virke. OZ1IVA.)

I dialogen CW indstillinger kan du sætte parametre op.


Før testen

Klargøring til test

Se også de følgende sider.

  1. Udskriv et eksemplar af fdloganv.doc siden til hver operatørplads. Det er en enkelt A4-side som kort forklarer, hvordan programmet bruges under testen.
  2. Udskriv et eksemplar af f-taster.doc siden til hver operatørplads. Det er oversigten over funktionstaster.
  3. Installer programmet hvis du ikke allerede har gjort det.
  4. Sæt din Pc's ur til normal lokal tid.
  5. Start FDlog.
  6. I menuen filer vælger du 'Sæt logbibliotek' og gemmer filen setlog.txt i et bibliotek, som ikke er det sidste års log ligger i. Opret evt. et nyt bibliotek.
  7. Vælg bånd og mode (det har du forhåbentligt aftalt med de andre hold).
  8. I menuen Indstillinger vælger du 'Contest call'. Vælg et eksisterende eller skriv dit eget. Det bruges til diverse udskrifter og til at sætte værdien for #R i cw-tekster.
    Det kan sættes/ændres efter testen uden at ødelægge noget.
  9. I menuen Indstillinger vælger du 'UTC offset…'. Ret offset til -2 timer, hvis det ikke allerede er sket. (Programmet tager hensyn til døgnskifte når UTC tid beregnes).
    (Hvis du absolut VIL sætte din PC til UTC tid, så skal offsettet naturligvis stå på 0 timer.)
  10. Sæt operatør call for den som kører QSO'erne. Dette er for at kunne stille spørgsmål til rette vedkommende hvis der skulle vise sig tvivlsspørgsmål - det er der nemlig altid. Hvis du skulle komme til at køre et nyt land, så er det også dokumentation for hvem der kørte QSO'en. Feltet er krævet udfyldt, men har ingen virkning for programmets udførsel i øvrigt.
  11. Sæt CW indstillinger.

...og så er det måske en ide at oprette en genvej til programmet på skrivebordet eller ligefrem lægge programmet i start-op biblioteket, så det automatisk starter når windows starter, så den stakkels operatør der ikke er kendt med Windows, FDlog og andet ikke skal bryde sin hjerne med at starte programmet igen efter at strømmen er gået klokken sent, fordi generatorgeneralen glemte at passe sit?


Sæt logbibliotek

Sæt logbibliotek (Alt+F, B)

Bruges til at sætte aktuelt logbibliotek. Dette skal gøres inden testen starter. For at kunne skifte logbibliotek er det nødvendigt, sådan som programmet er lavet (Der gemmes en fil pr. bånd+mode), at gemme en fil. Denne fil hedder setlog.txt og indeholder ingenting og skal ikke bruges til andet end dette at markere loggens placering. Når du vælger denne funktion vises den sædvanlige 'Gem som'-rude du kender fra Windows:

Det vil være praktisk om du oprettede et bibliotek under FDlog som du evt. kaldte for 'logs', så er det nemmest at finde tilbage til din log.

Når du har valgt et logbibliotek, kvitterer FDlog med denne rude:

Hvis du derimod fortryder og trykker på annuller, kvitterer FDlog med denne rude:

Hvis du vælger et eksisterende bibliotek får du denne rude:

Hvis du vælger Ja er det kun filen setlog.txt som gemmes. Den indeholder ingenting. Andre filer i biblioteket røres ikke/oprettes ikke før du begynder at logge.


Sæt Backup bibliotek

Sæt backup bibliotek (Alt+F, B, S)

Dette menupunkt vælger den adresse du vil bruge som backup for loggen i stedet for diskette kopien.

Bruges til at sætte aktuelt backupbibliotek. Dette skal gøres inden testen starter. For at kunne skifte backupbibliotek er det nødvendigt, sådan som programmet er lavet (Der gemmes en fil pr. bånd+mode), at gemme en fil. Denne fil hedder setlog.txt og indeholder ingenting og skal ikke bruges til andet end dette at markere loggens placering. Når du vælger denne funktion vises den sædvanlige 'Gem som'-rude du kender fra Windows:

Det vil være praktisk om du oprettede et bibliotek på et andet 'drev en der hvor FDlog biblioteket ligger. Evt. en USB hukommelses'pind'.

Når du har valgt et backupbibliotek, kvitterer FDlog med denne rude:

Hvis du derimod fortryder og trykker på annuller, kvitterer FDlog med denne rude:

Hvis du vælger et eksisterende bibliotek får du denne rude:

Hvis du vælger Ja er det kun filen setBackup.txt som gemmes. Den indeholder ingenting. Andre filer i biblioteket røres ikke/oprettes ikke før du bruger menupunktet Backup | Kopi af log.


Contest call

Contest call (Alt+I, C)

Vælg et call fra dropdown-listen eller skriv et nyt. (Hvis du skriver et nyt bliver det nye call ikke skrevet i filen Edr.txt)

Dropdown-listen er dannet ud fra de calls som findes i filen Edr.txt.

Call'et bruges til at vises på FDlog overskriften, på overskrifterne på logudskrifterne og til værdien for #R i CW-delen.

Du kan indtaste et telefonnummer på den logansvarlige. Det bruges kun til at skrive på summary-listen. FD-manager vil gerne have muligheden for at kunne ringe og spørge. Feltet er med her fordi det hører sammen med contest call'et.


UTC offset

UTC offset (Alt+I, U)

Her indstilles UTC tidsforskellen til tiden på din PC. (Programmet tager højde for døgnskiftet).

  1. Sæt din PC til at køre lokal tid.
  2. Sæt UTC offset, så programmet viser korrekt tid i UTC.

Programmet er født med -2 timer i offset, så hvis din PC kører med dansk sommertid, så er alting OK.


Bånd og mode skift

Du kan skifte bånd og/eller mode ved at klikke på knapperne eller bruge genvejstaster eller skrive det ønskede i call feltet.

F-taster.doc er en lille huskeseddel for funktionstaster, som du kan skrive ud. Den findes også som F-taster.htm.

Skift til 10 meter | (Menuvalg Alt+B, 1 eller Ctrl+F1 eller 10M i callfeltet)
Skift til 15 meter | (Menuvalg Alt+B, 5 eller Ctrl+F2 eller 15M i callfeltet)
Skift til 20 meter | (Menuvalg Alt+B, 2 eller Ctrl+F3 eller 20M i callfeltet)
Skift til 40 meter | (Menuvalg Alt+B, 4 eller Ctrl+F4 eller 40M i callfeltet)
Skift til 80 meter | (Menuvalg Alt+B, 8 eller Ctrl+F5 eller 80M i callfeltet)
Skift til SSB | (Menuvalg Alt+B, S eller Shift+F1 eller SSB i callfeltet)
Skift til CW | (Menuvalg Alt+B, C eller Shift+F2 eller CW i callfeltet)
Skift til PSK31 | (Menuvalg Alt+B, P eller Shift+F3 eller PSK31 i callfeltet)
Skift til RTTY | (Menuvalg Alt+B, R eller Shift+F4 eller RTTY i callfeltet)
Skift til HELL | (Menuvalg Alt+B, H eller Shift+F5 eller HELL i callfeltet)


Klasse

Klasse (Alt+I, K)

Her kan du markere om I kører klasse A eller B. Det bruges kun til at skrive på summary listen.


Operatør call

Operatør call (Alt+O)

Boksen fyldes ved programstart med indholdet i filen 'operator.txt'.

Vælg et eller skriv et nyt. Du kan angive op til 7 tegn.

Hvis du skriver et call som ikke findes i listen blive dette call tilføjet i operator.txt filen når programmet afsluttes.

Der er ingen validering af call i dette felt.


CW indstillinger

CW indstillinger (Alt+W, I)

Bemærk at dette kun kan lade sig gøre når programmet står i CW-mode.

WPM | Vælg hastighed
Tone | Vælg tonen cw skal sendes med.
Volume | Sæt den relative volume i forhold til lydkortet. Programmet kører som primær lydgiver, det vil sige at andre programmer ikke får lov at bruge lydkortet så længe FDlog er aktivt. Se under interface.
RST format | Vælg om rapporten skal sendes som 599 elle 5nn.
Løbenummer format | Vælg om løbenummeret skal sendes med nuller eller bare som streger for de foranstående nuller. Der sendes altid tre cifre indtil det bliver nødvendigt med et fjerde.

Tekster

Tryk på funktionstasterne F5-F8 på logbilledet for at afsende den genererede tekst.

Hvis contest call (#R) er OZ7RJ, det indtastede call er DF4OR, rapporten er 599 og QSOnr der skal sendes er 27:

  • F5: CQ TEST DE OZ7RJ OZ7RJ TEST K
  • F6: CL?
  • F7: OZ7RJ
  • F8: DF4OR UR 5NN 027 BK

Hvis der ikke står noget i call feltet sendes den seneste rapport igen. Programmet henter data fra den sidste QSO i loggen. Dette er praktisk hvis man skal gentage rapporten efter man har logget modparten.

Teksterne for F5, F6, F7 og F8 kan du selv lave om på efter behov. #-koderne ovenfor forklarer hvilke felter du kan indsætte som er variable.

Hvis du vil tilbage til disse tekster kan du trykke på knappen 'Default tekster' som giver denne advarsel inden rettelsen gennemføres:


Importer CTY.dat

Importer CTY.dat (Alt+K, T)

Når der er kommet nye præfikser, så er programmet tunet til at kunne læse CTY.DAT filen fra CT-log programmet og derudfra producere præfix- og landelisten (refpfx.txt og lande.txt). Det er IKKE nødvendigt at køre dette efter installation af programmet, med mindre der er kommet en ny version af CTY.DAT.

FDlog bruger kun de 10 første tegn af et præfix. Jeg troede det var rigeligt, men det har vist sig at K1VWL/BY1QH,OH2PM/BY1QH er blevet en del af CTY.DAT (Hver især på 11 tegn!). Hvis du kører disse to stationer så vil præfixet opfattes som BY1Q (Kina), hvilket stadig er det rigtige land.

Det tager et par minutter at køre denne funktion, så brug den kun når den er nødvendig.


Under testen

  1. Sådan logger du en QSO:
    1. Skriv modpartens call i call feltet.
    2. Tryk på mellemrum for at skifte til QSOnr feltet.
    3. Skriv QSOnr i QSOnr feltet.
    4. Tryk på 'Enter'.
  2. Du kan skifte frem og tilbage mellem call og QSOnr felterne ved at trykke på mellemrumstasten.
  3. Sådan retter du en QSO: Dobbeltklik på QSOen. Billedet Ret QSO vises. Ret i billedet og tryk på 'Enter' eller klik på Log.
  4. OBS: Tag en gang imellem en kopi af logfilerne på diskette. I menuen Filer vælger du Diskettekopi.


At logge en QSO

  1. Sådan logger du en QSO:
    1. Skriv modpartens call i CALL-feltet.
    2. Tryk på mellemrum for at skifte til QSOnr feltet.
    3. Skriv modtaget QSOnr i feltet.
    4. Tryk på 'Enter' for at logge QSO'en.(Du skal IKKE bruge musen til at trykke på Log-knappen!)
  2. Du kan skifte frem og tilbage mellem call og QSOnr felterne ved at trykke på mellemrumstasten.
  3. ESC sletter indhold i call og QSOnr modtaget felterne og sætter cursoren i call feltet.


Vis land

Vis Lands navn i statusbar(Alt+V, V)

Hvis den computer du kører på er lidt langsom, så kan du slå den automatiske visning af landenavn i statuslinien fra ved at fjerne fluebenet i menupunktet 'Vis lands navn i statusbar'.

Når visningen er slået fra, kan du få landets navn vist, ved at trykke F2 eller vælge menupunktet 'Vis Land' under menuen Funktioner.


Note

Note (Alt+K, N eller Ctrl+N)

Der kan undervejs indsættes en note i loggen.

NB hvis du undervejs retter i loggen m. f.eks. notepad eller andet, så være opmærksom på, at noter SKAL starte med teksten NOTE: skrevet med STORE BOGSTAVER efterfulgt af en blank for at programmet kan opfatte linien som en note ellers går der kuk i logindlæsningen.


Validering af QSOer

Hvis programmet finder fejl under valideringen af QSO'en vises en tekstboks med fejlbeskrivelsen. Evt. er der vist det rigtige format du skal anvende. Der er kun een OK-knap i disse bokse. Tryk på den (ved at trykke på 'Enter'-knappen). Hvis det er muligt placeres cursoren i det felt, hvor fejlen er.

En QSO checkes for følgende:

  1. Er der valgt bånd?
  2. Er der valgt mode?
  3. Tidspunkt valideres. Det skal være angivet som to + to cifre med punktum imellem.
  4. Call'et strippes (internt) for det som står før og efter skråstreger, så kun det rene call er tilbage inden de næste punkter for validering af call'et.
  5. Det 'strippede' Call checkes for om det er på mindst 3 tegn.
  6. Det 'strippede' Call checkes for at det består af både tal og bogstaver.
  7. Det 'strippede' Call checkes for om er en dublet. (Se under 'Dublet check')
  8. Sendt RS(T) checkes for om det er OK. Dvs. 2 cifre i SSB- og 3 cifre i CW-mode. Feltet valideres også for om R er fra 1 til 5 og S fra 1 til 9 og, i CW-mode, T fra 1 til 9.
  9. Afsendt rapportnummer kan du ikke pille ved!
  10. Modtaget RS(T) checkes for om det er OK. Dvs. 2 cifre i SSB- og 3 cifre i CW-mode. Feltet valideres også for om R er fra 1 til 5 og S fra 1 til 9 og, i CW-mode, T fra 1 til 9.
  11. Modtaget rapport nummer valideres for om det er numerisk. Hvis du lader det stå blankt, spørger programmet om det skal være nul.
  12. Point beregnes (Se under 'pointberegning')
  13. Der checkes om landet er kørt tidligere. Hvis ikke, sættes multiplierantallet een op og landets præfix markeres i loglinien. Herved står multiplier markeringen altid ved første QSO med et nyt land.
  14. Hvis det er en EDR-station der er kørt opdateres tabellen over kørte EDR-stationer.
  15. Hvis der er markeret for at der skal sendes QSL-kort specielt til modparten skrives det i loglinien.

Når alt er OK hertil slutter programmet af med at checke om præfixet er ukendt. Hvis det er ukendt åbnes filen 'ukendt.txt' og aktuel loglinie skrives i enden af tekstfilen, som derefter lukkes.

Først nu åbnes logfilen for at skrive den nye loglinie for enden af den. Derefter lukkes logfilen igen. Herved minimeres risikoen for at tabe logfilen fordi strømmen går.

Det er altså stadig en god ide at skrive papirlog ved siden af!

For risikoen for at tabe loggen er der stadig om end den er blevet meget mindre.


Pointberegning

Der beregnes point som følger:

  • OZ-station giver 1 point.
  • EDR-klubstation giver 10 point.
    Dette sker kun hvis programmet kan finde call'et i filen 'Edr.txt' og vise klubbens navn i statuslinien.
    Filen Edr.txt læses kun ind når programmet starter, så du skal stoppe og starte programmet, hvis du retter i filen under testen.
  • EU-stationer giver 3 point.
  • EU/P-stationer giver 5 point.
  • DX-stationer giver 6 point.
  • Dubletter giver 0 point.

Nogle stationer opgiver deres call som 'Portable 6'. Det ku' f.eks være UA3MM, som er portabel 6. Så skal du skrive UA3MM/6 og IKKE UA3MM/P6. Når du skriver /6 gives der point som om stationen hed UA6MM.
Hvis du skriver /P6 tror programmet det skal finde præfixet P6 (North Korea) Dette fremgår også af statuslinien, hvor landets navn vises!


Log vindue

UTC | er tidspunktet for den kørte QSO
CALL | er det kørte call
Sendt | er hhv. RS(T) og løbenr som er afsendt på QSO'en
Modtaget | er hhv. RS(T) og løbenr som er modtaget på QSO'en
Pts. | er de beregnes point for QSO'en. Se under 'Pointberegning'
Multiplier | er præfixet for call'et for den første QSO med et nyt land. (max 10 tegn).
Operatør | er call'et på den som har kørt QSO'en
QSL | indeholder teksten QSL hvis der er lovet at sende QSL specielt til modparten.
Mode | er den mode QSO'en er kørt i. SSB/CW/HELL/RTTY/PSK31
Dato | datoen qsoen er kørt på.

I loggen kan der stå en NOTE: Den har ikke anden funktion end, at det er muligt, at skrive noter i loggen.


QSO felter

Hop mellem Call og modtaget QSOnr ved at trykke på mellemrumstasten.

Hop mellem felterne ved at trykke TAB.

Tryk ESC (Escape) for at slette call og QSOnr modtaget.

UTC | Viser klokkeslæt for QSOen. Dette felt opdateres hele tiden, men hvis du bevæger cursoren ind i feltet, standser klokken. Det er for, at du skal kunne sætte det korrekte klokkeslæt på en QSO, hvis det er nødvendigt. Uret starter igen når programmet er klar til næste QSO.
Call | Her skriver du call'et på den station som du har kørt. Der er plads til max 15 tegn. Du vil ikke kunne se dem alle på en gang, men feltet er stort nok til den mest almindelige længde af calls (ca 6 tegn og /P). Du kan kun skrive tal, bogstaver og skråstreg i feltet. Hvis du trykker på mellemrum når du står i feltet hopper programmet til modtaget QSOnr feltet.
RST sendt | Her er på forhånd vist din formodede rapport til modparten. RST kan rettes, men afsendt QSOløbenr kan ikke rettes her. Hvis det er nødvendigt, skal du bruge punktet 'Ret QSOnr' under menuen Indstillinger.
RST modtaget | Her er på forhånd vist din formodede rapport fra modparten. RST kan rettes. Indtast QSOnr fra modparten. Der er plads til 4 cifre.
QSL | Dette felt an markeres hvis du specielt har lovet at sende QSL til modparten. Der vil stå QSL for enden af loglinien.


Status linien

  1. Her vises aktuel lognavn, når log skifter eller programmet starter.
  2. Her vises land, kontinent og om landet er kørt under indtastning af call.
  3. Her vises om det er en dublet du er ved at køre, når du hopper ud af feltet.
  4. Her vises, om det er en EDR klubstation du er ved at køre, når du hopper ud af feltet.
  5. I den sidste del af statuslinien vises point-, multiplier- og totalsum for aktuelt bånd/mode.


Dublet check

Inden en QSO logges, checkes om det er en dublet. Allerede ved at hoppe ud af Call-feltet vises i statuslinien om det er en dublet.

Calls der checkes for om det er en dublet, strippes inden sammenligningen for det, som evt. måtte stå foran (f.eks. SM/) og det, som evt. måtte stå bagved (f.eks. /P) så checket fungerer selvom modparten måske glemmer at sige /P.

Hvis det er en dublet vises teksten '*** DUPE ***' med rød baggrund i Næste QSO nr dialogen.


Kørte calls

Check calls (Alt+V, C)

(Svarer til F8 i CT-log.)

Når der er indtastet 2 eller flere bogstaver i call feltet, undersøger programmet om der er andre calls i loggen som indeholder den bogstavkombination. Disse vises i denne rude.

Dette check kører automatisk når der ændres i call feltet. Her vises op til 50 Calls af dem som er i den aktuelle log.

Efter call'et står QSOnr modparten har i din log og efter skråstregen står det nummer du har i modpartens log. Til sidst står UTC-tiden for hvornår QSO-en er logget.

De viste calls er sorteret i alfabetisk orden. Derfor er der 'uorden' i rækkefølgen af de afsendte QSOnumre.


Kørte EDR stationer

Kørte EDR stationer (Alt+V, E eller F3) (Alt+V, I eller F4)

Kørte EDR stationer...(F3) | Ikke kørte edr stationer...(F4)

Stationerne har fast plads i begge rammer, så de er nemmere at lokalisere.

Ruderne lukkes igen ved at trykke Enter eller at trykke Escape eller klikke på Luk knappen.

Du kan også vælge at skifte tilbage til FDlog ved at trykke Alt+Tab.

Disse ruder opdateres ikke løbende, så du skal trykke på F3/F4 for at få dem opdateret. Oversigten over calls i disse rammer er bygget op af de calls programmet kan finde i filen edr.txt


Nyt QSOnr

Nyt QSOnr (Alt+I, Q)

Skulle der gå kuk i QSO numrene kan de rettes her, men du kan kun vælge et nyt QSO nummer, som er større end det i loggen sidst anvendte.

Hvis du skriver et, som er for lille får du denne fejl:


Næste QSOnr

Næste QSOnr (Alt+V, N)

Kan fjernes ved at fjerne fluebenet for Næste QSOnr i menuen Vis.

Viser tekstboksen næste QSO nummer:

I denne boks vises aktuel mode og næste rapport der skal gives for det aktuelle bånd og mode, så radiooperatøren har nemt ved at se det, hvis der køres med forskellig radiooperatør og logoperatør. Det er faktisk også rart hvis man er alene.

Størrelsen kan justeres ved at 'trække' i billedet forneden. Det har igen virkning at trække i siden af billedet.


At rette en QSO

Ved at dobbeltklikke på en QSO eller markere en QSO og trykker på 'Enter' vises dette vindue.

Du kan nu rette oplysningerne.

  • De oplysninger, som er vist med gråt, kan du IKKE rette i.
  • Når du 'hopper ud' af Call feltet validerer programmet om det er en dublet, et nyt land, ikke et nyt land og hvilke point qso bør give. Point rettes til og multiplier sættes/fjernes.
  • Tryk på Beregn point, hvis du vil have programmet til at beregne point.
  • Du kan rette point, hvis du mener, at point skal være andet end det programmet foreslår.
  • Tryk på 'Enter' eller klik på Log knappen for at putte QSOen tilbage i loggen.
  • QSOen valideres igen inden den puttes tilbage i loggen.

Til Nørderne: Programmet skriver en ny fil (FDkopi.txt) med hele loggen i. Sletter den gamle (FD<bånd><mode>.txt) og navngiver den nye til det gamle navn. Så er der mindst risiko for at tabe loggen, hvis strømmen skulle gå.


Efter testen

  1. Tag en kopi af logfilerne på en diskette. I menuen Filer vælger du Diskettekopi.
  2. Aflever dem til den logansvarlige.


Diskettekopi

Diskettekopi (Alt+F, D)

Dette menupunkt kopierer alle oprettede logfiler og filen 'ukendt.txt' til drev A: dvs. diskettedrevet.

Filer er i rækkefølge

  1. Ukendt.txt
  2. FD10mCW.txt
  3. FD10mSSB.txt
  4. FD15mCW.txt
  5. FD15mSSB.txt
  6. FD20mCW.txt
  7. FD20mSSB.txt
  8. FD40mCW.txt
  9. FD40mSSB.txt
  10. FD80mCW.txt
  11. FD80mSSB.txt

Du kan følge med i ruden:

OBS: Hvis en fil ikke findes, springer programmet den over og fortsætter med den næste i rækkefølgen.

Hvis der ikke er en diskette i diskettedrevet får du denne rude at se:

Hvis disketten er i drevet, men er skrivebeskyttet får du denne rude at se:


Kopi af log

Kopi af log (Alt+F, B, K)

Dette menupunkt kopierer alle oprettede logfiler og filen 'ukendt.txt' til backup biblioteket.

Filer er i rækkefølge

  1. Ukendt.txt
  2. FD10mCW.txt
  3. FD10mSSB.txt
  4. FD15mCW.txt
  5. FD15mSSB.txt
  6. FD20mCW.txt
  7. FD20mSSB.txt
  8. FD40mCW.txt
  9. FD40mSSB.txt
  10. FD80mCW.txt
  11. FD80mSSB.txt

Du kan følge med i ruden (det går ganske vist stærkt):

OBS: Hvis en fil ikke findes, springer programmet den over og fortsætter med den næste i rækkefølgen.

Hvis USB memory pinden er fjernet får du denne rude at se:


Efter testen - for den logansvarlige

Efter testen…for den logansvarlige:

  1. Læs ukendt.txt fra de indsamlede disketter. Vær opmærksom på at du får en fra hver computer, der har kørt FDlog og at 'ukendt.txt' har samme navn på alle disketterne.
  2. Indlæs alle logfilerne på en computer og i samme logbibliotek. Pas på at der ikke er gamle logfiler som bliver overskrevet. Der er en fil til hver bånd + mode. Se under 'Filer og deres håndtering'.
  3. I menuen Filer vælger du 'Dan fejlliste'. I logbiblioteket ligger så filen fejllist.txt. Det er en oversigt over forskellen mellem det, der står i logs og hvad programmet synes der burde stå.
  4. Ret det, der skal rettes, i de forskellige logs.
  5. I menuen Funktioner vælger du 'Streg-P calls'. Se denne.
  6. Ret loggen. Check at pointtal er korrekte.
  7. Gentag fra punkt 3 til du er tilfreds.
  8. Summary.txt skal tilføjes de sidste data inden du udskriver den.
  9. Har du nåleprinter(matrixprinter): I menuen Filer vælger du Dan log | Alt. Nu ligger alle logfiler klar i logbiblioteket. Start en DOS-prompt og udskriv de filer som begynder med SM og filen Summary.txt .
  10. Har du laser/blæksprutte eller anden grafikprinter: I menuen Filer vælger du 'Udskriv… | Alt'
  11. Har du/I en hjemmeside kan i danne resultatet til den ved i menuen Filer at vælge 'Dan html'. I logbiblioteket ligger så fdlog<yyyy>.htm, hvor <yyyy> er aktuelt årstal, som er en oversigt over alle jeres logs med indbyggede navigationslinks og nederst er der en færdig summary oversigt.


Importer CT-log WPX

Importer CT-log WPX (Alt+K, C)

Nogle ønsker at benytte CT-log programmet. Derfor er denne funktion indbygget i programmet. Programmet kan importere CT-log filer fra WPX testen i version 9. Det skal være tekstfilerne (*.10, *.15, *.20, *.40 og *.80) som kommer ud af en Writelog kommando. FDlog læser selv MODE øverst på siden.

FDlog finder selv ud af om det er CW eller SSB der importeres.

OBS: hvis log filen findes i forvejen i logbiblioteket, nægter FDlog at importere logfilen. Dette er for at undgå at komme til at ødelægge en logfil ved et uheld.


Indtast log efter test

Indtast log efter test (Alt+I, A)

Hvis du ønsker at indtaste loggen efter testen, så er der muligt at slå den automatiske angivelse af klokkeslæt fra ved at vælge menupunktet Indstillinger og fjerne fluebenet ved 'Automatisk klokkeslæt'.

Herved starter indtastningen i klokkeslætsfeltet ved hver QSO. Tiden kører ikke og du skal selv skrive hele klokkeslættet.

Når programmet er klar til indtastning af en ny QSO er hele tidspunktet er markeret og erstattes af det du skriver. Hvis du trykker pil til højre og 'backspace' er du fri for at skulle skrive hele klokkeslættet hver gang.


Streg-P calls

Streg-P calls (Alt+K, S)

Her vises alle logfiler 'flettet sammen' og sorteret på call, bånd og mode. Du vil se den vokse sig stor (rulle skakten flytter sig) mens alle logs indlæses, hvorefter den bliver mindre, når de calls, som er ens på alle bånd, fjernes.

Hvert call adskilles med en streg.

Ideen er, at du skal gå loggen igennem, for at se om en station har været /P på et bånd og ikke er blevet registreret som /P på andre.

Så kan du rette loggen så du får fuldt point tal for alle QSOerne med denne station.

OBS: Denne rude 'hænger løst' dvs. du kan rette i logs mens ruden er åben. Luk den ved at klikke på krydset.


Fejlliste

Fejlliste (Alt+F, F)

Skal bruges efter testen.

Husk at gemme en kopi af logfilerne inden du piller i dem, så du ikke får smadret mange timers hårdt arbejde. Det er sjældent populært ;-).

Danner filen fejllist.txt i logbiblioteket.

Listen er en oversigt over forskellen mellem hvad der står i loggen og hvad programmet synes der burde stå.

Alle QSOer valideres forfra i alle felter.

Listen viser:

  • Om der var en log til det aktuelle bånd og mode.
  • Om loggen til det aktuelle bånd og mode var uden fejl.
  • De QSOer programmet mener der er fejl i og hvad fejlen er.
  • Hvis en QSO er den første for et land, men ikke er markeret eller hvis en QSO er markeret som den første, uden at være det, fremgår det også her. Hvis du skal rette det, skal du gøre det direkte i logfilerne (uden om programmet).

Output fra fejlliste:

  • Alle noter udskrives.
  • 'Der er ikke fundet fejl i denne log.'
    Betyder at loggen ER fundet og at der ikke er fejl i den.
  • 'Log ikke fundet.'
    Betyder at loggen for det pågældende Bånd/mode ikke kunne findes.
  • Hvis der er fejl i en QSO udskrives den og på de næste linier beskrives de(n) fejl den er i QSO'en.
  • Hvis en EDR station valideres til kun at skulle give 1 point skyldes det at den ikke findes i edr.txt filen.
  • QSO er ikke første qso for land: XXX. Flyt markeringen til den første QSO for landet.
    Markeringen skal flyttes pr. håndkraft via notesblok eller lignende.
  • QSO er første multiplier for land: XXX, men er ikke markeret.
    Markeringen skal flyttes pr. håndkraft via notesblok eller lignende.


Dan log

Dan log (Alt+F, L)

Skal bruges når du vil danne loggen som tekstfiler der senere skal udskrives på en nåleprinter.

Du kan vælge at danne logs pr bånd og mode og summary for sig eller du kan danne alt på en gang ved at vælge punktet 'Alt'.

Du kan følge med på denne side under genereringen af printfilerne (selvom det ikke tager mange øjeblikke at danne filerne).


Printer...

Printer (Alt+F, P)

Bruges til at indstille printeren med. Det er Windows egen printerindstillingsrutine, der kaldes.

I mit tilfælde en HP DeskJet 850C:


Udskriv log...

Udskriv log (Alt+F, U)

Bruges når du vil udskrive loggen direkte på en grafikprinter uden at danne tekstfiler.

Punktet Ukendte udskriver filen ukendt.txt

Du kan vælge at Udskrive logs, multiplier checksheet og summary enkeltvis eller du kan udskrive alt på en gang ved at vælge punktet Alt.

Punktet Alt udskriver ikke ukendt.txt.

Du kan følge med på denne side under udskrift af printfilerne.


Summary

Eksempel:

Kaldesignal: OZ7RJ/P        Kategori: B   Antal logsider:

Navn: EDR Københavns Afdeling, Theklavej 26, 2400 København NV

Operatørernes kaldesignaler: OZ1IVA, OZ6VG, OZ5ABD, OZ5AAH, OZ7AAQ, OZ9CM, OZ9MM

Bånd        QSOs - Dubs  Mults x Points = Band score  Mult total x Points total = Bandscore total  Stn/Ant
3,5 MHz CW       8           3 x     59 =      177
3,5 MHz SSB    214          24 x   1021 =    24504            27 x         1080 =           29160
  7 MHz CW     150          29 x    567 =    16443
  7 MHz SSB     79          15 x    413 =     6195            44 x          980 =           43120
 14 MHz CW      43          23 x    216 =     4968
 14 MHz SSB    190          35 x    940 =    32900            58 x         1156 =           67048
 21 MHz CW      41          23 x    161 =     3703
 21 MHz SSB     74          36 x    364 =    13104            59 x          525 =           30975
 28 MHz CW       1           1 x      3 =        3
 28 MHz SSB     15          11 x     80 =      880            12 x           83 =             996

Total:         815                                           200 x         3824 =          764800

Ansvarshavende/Formand

Telefon (hvis der er spørgsmål):

Felter som udfyldes automatisk:

Felt | Udfyldes med
Kaldesignal | Det valgte contest call.
Kategori | Den valgte kategori
Navn | Navn hentes fra edr.txt filen ud fra contest call
Operatørernes kaldesignaler | Opsamles ved gennemløb af logs, når summary optælles. Herved opnåes at det kun er de aktive operatører som oplistes.
Telefon | Telefonnummer, hvis det udfyldes under contest call valg.


Dan html

Dan html (Alt+F, H)

Bruges efter testen.

Funktionen genererer en fuldt færdig html-side, som du kan lægge op på jeres hjemmeside.

Du kan følge med på denne side under genereringen af hjemmesiden (selvom det ikke tager mange øjeblikke at danne siden).

Danner filen fdlog<yyyy>.htm, som er en færdig hjemmeside i logbiblioteket. <yyyy> udskiftes med det aktuelle årstal.

Indholdet er

  • Links til hver log på siden
  • Hver log listet for sig, med link til toppen.
  • Summary.

Eksempel:

(foreløbig) Fieldday log for OZ7RJ/P 2001

10m CW, 10m SSB, 15m CW, 15m SSB, 20m CW, 20m SSB, 40m CW, 40m SSB, 80m CW, 80m SSB, Summary

Top

80m CW

         Dato    UTC  Call            Sendt    Modt.    Pt Præfix     Oper.  QSL Mode
       01-09-01 19:04 OZ1SDB/P        599-0001 599-0004 10 OZ         OZ5ABD  CW
       01-09-01 19:07 OZ2AR/P         599-0002 599-0009 10            OZ5ABD  CW
       01-09-01 19:12 OZ7SAC/P        599-0003 599-0002 10            OZ5ABD  CW
       01-09-01 20:30 OK1CDU          599-0004 599-0001  3 OK         OZ5ABD  CW
       02-09-01 01:38 OZ9EDR/P        599-0005 599-0003 10            OZ5ABD  CW
       02-09-01 01:44 UA4HBZ          599-0006 599-0001  3 UA         OZ5ABD  CW
       02-09-01 01:54 OZ7MOR/P        599-0007 599-0025 10            OZ5ABD  CW
       02-09-01 01:55 UA4HAU          599-0008 599-0003  3            OZ5ABD  CW

       Ialt akkumuleret:                                59    3          177

...her følger listning af de andre logs...

Summary for OZ7RJ/P

Kaldesignal: OZ7RJ/P Kategori: B
EDR Københavns Afdeling, Theklavej 26, 2400 København NV
Operatører:
OZ1IVA, OZ5ABD, OZ6VG, OZ7AAQ, OZ9CM, OZ9MM
Bånd | Mode | QSO'er | Multiplier | Points | Score | Bånd Score
80 Meter | CW | 8 | 3 | 59 | 177 | 29160
 | SSB | 214 | 24 | 1021 | 24504
40 Meter | CW | 150 | 29 | 567 | 16443 | 43120
 | SSB | 79 | 15 | 413 | 6195
20 Meter | CW | 43 | 23 | 216 | 4968 | 67048
 | SSB | 190 | 35 | 940 | 32900
15 Meter | CW | 41 | 23 | 161 | 3703 | 30975
 | SSB | 74 | 36 | 364 | 13104
10 Meter | CW | 1 | 1 | 3 | 3 | 996
 | SSB | 15 | 11 | 80 | 880
Alle bånd og modes |  | 815 | 200 | 3824 | 764800 | 764800

Den kan du så lægge op på din/jeres hjemmeside.


Dan ADIF

Dan ADIF (Alt+F, I)

Bruges efter testen.

Funktionen genererer en fuldt færdig ADIF fil, som du kan importere ind i jeres logprogram.

Du kan følge med på denne side under genereringen af filen (selvom det ikke tager mange øjeblikke at danne filen).

Danner filen fdlog<yyyy>.adi, som er alle logfilerne skrevet ud i een fil i logbiblioteket. <yyyy> udskiftes med det aktuelle årstal.

Indholdet er

  • en header med teksten: Genereret af OZ1IVA's Logprogram (VB60)<EOH>

...og for hver qso følgende felter:

  • qso dato
  • utc
  • mode
  • band
  • call
  • rst sendt
  • serial nr sendt
  • rst modtaget
  • serial nr modtaget
  • point
  • multiplier
  • operatør
  • eond-of-record markering

Eksempel:

Genereret af OZ1IVA's Logprogram (VB60)<EOH>

<QSO_DATE:8:d>20050826
<TIME_ON:4>2149
<BAND:3>80M
<MODE:2>CW
<CALL:3>G3A
<RST_SENT:3>599
<SRL_SENT:4>0001
<RST_RCVD:3>599
<SRL_RCVD:4>0234
<POINTS:1>3
<MULT:1>G
<OPERATOR:6>OZ1IVA
<EOR>

<QSO_DATE:8:d>20050826
<TIME_ON:4>2150
<BAND:3>80M
<MODE:2>CW
<CALL:8>OZ5EDR/P
<RST_SENT:3>599
<SRL_SENT:4>0002
<RST_RCVD:3>599
<SRL_RCVD:4>0022
<POINTS:2>10
<MULT:2>OZ
<OPERATOR:6>OZ1IVA
<EOR>

<QSO_DATE:8:d>20050826
<TIME_ON:4>2150
<BAND:3>80M
<MODE:3>SSB
<CALL:5>HB9CW
<RST_SENT:2>59
<SRL_SENT:4>0001
<RST_RCVD:2>59
<SRL_RCVD:4>0023
<POINTS:1>3
<MULT:2>HB
<OPERATOR:6>OZ1IVA
<EOR>


Praktiske oplysninger


Hurtig hjælp oversigt

(Se specielt Fdloganv.doc-siden med taleboblerne.)

Alt+B | Vælg menupunkt Bånd/mode.
Alt+C | Flyt cursor til Call felt.
Alt+F | Vælg menupunkt Filer.
Alt+I | Vælg menupunkt Indstillinger.
Alt+K | Vælg menupunkt Funktioner
Alt+L | Log en QSO
Alt+M | Vælg menupunkt Om FDlog.
Alt+O | Flyt cursor til Operatør Call
Alt+S | Marker felt QSL. (hvis du har lovet specielt at sende QSL-kort til modparten)
Alt+V | Vælg menupunkt Vis.
Alt+W | Vælg menupunkt CW.
Bånd | Vælg (= skift) bånd ved at klikke på knappen 10, 15, 20, 40 eller 80. Kan også vælges via menu: Bånd/mode (tryk Alt+B og derefter på det understregede bogstav)
Ctrl+F1 | Skift til 10m
Ctrl+F2 | Skift til 15m
Ctrl+F3 | Skift til 20m
Ctrl+F4 | Skift til 40m
Ctrl+F5 | Skift til 80m
Ctrl+N | Indsæt note i loggen.
Dubletcheck | Inden dublet check strippes call'et for /p o. lign., så OZ0FIS er de samme som f.eks. SM/OZ0FIS/P
Enter | Log en QSO. Hvis du står i loglisten, vises ret QSO billedet.
F2 | Vis land.
F3 | Vis kørte EDR stationer. Tryk ESC eller 'Enter' for at lukke billedet igen.
F4 | Vis Ikke kørte EDR stationer. Tryk ESC eller 'Enter' for at lukke billedet igen.
F5 | Send tekst 1 (default: 'CQ TEST DE #R #R TEST K')
F6 | Send tekst 2 (default: 'CL?')
F7 | Send tekst 3 (default: '#R')
F8 | Send tekst 4 (default: '#C UR #T #N BK')
Indtastning af QSOer | Tast call i call feltet skift til løbenummerfeltet ved at trykke på mellemrum. Der kan kun indtastes tilladte karakterer i felterne.
Log en QSO | Tryk på Enter eller klik på Logknappen eller tryk Alt+L. QSO'en valideres for om alt krævet data er til stede. Hvis ikke, gives en tekstboks, hvori fejlten er beskrevet. Derefter tryk på Enter eller klik på OK-knappen. Cursor vil blive placeret i den omtalte tekstboks.
Mellemrum | Skifter mellem felterne Call og RST løbenr modtaget. Dette sker kun når cursoren står i et af disse to felter.
Mode | Vælg (= skift) mode ved at klikke på knappen CW eller SSB. Kan også vælges via menu: Bånd/mode (tryk Alt+B og derefter på det understregede bogstav)
Note | Indsæt note i loggen. Kan også vælges via menu funktioner.
Operatør call | Vælg en fra listen eller indtast en ny.
Shift+F1 | Skift til SSB
Shift+F2 | Skift til CW
UTC | Hvis du flytter cursoren ind i feltet UTC tid, standser uret. Det sættes i gang igen når QSO'en er logget.


Præfix og Call - hvad er hvad?

I dag skal man skrive land først : W6/DL3FF, men nogen skriver stadig DL3FF/W6.

FDlog kan håndtere begge formater. DL3FF/W6/P og W6/DL3FF/P opfattes som en W6-station

FDlog skiller call'et af ved skråstregen. Den korteste del - hvad enten den står før eller efter skråstregen - opfattes som værende landets præfix.

Undtaget er, når call'et slutter med: /P, /M, /A, /LH ,/QRP, /QRPP /0, /1, /2, /3, /4, /5, /6, /7, /8, /9. Disse endelser ignoreres i forbindelse med at finde præfixet.

Benytter nogen flere skråstreger eks: /6/P ignoreres dette også.

Endelserne /0, /1, /2, /3, /4, /5, /6, /7, /8, /9 tages der dog hensyn til ved pointberegning.


Filer og deres håndtering

Da logprogrammet skal bruges af flere forskellige brugere og fordi logfilerne senere skal samles til én enhed, så har jeg valgt at diktere navnene, som anvendes.

FD10mCW.txt er således FDlog for 10m CW.

Endelsen '.txt' bruges, da det er en ganske almindelig tekstfil som dannes.

Programmet bruger følgende filer:

CTY.DAT | Er præfiksfilen fra CT-log programmet. Filerne refpfx.txt og lande.txt dannes ud fra denne ved import af CTY.DAT filen i programmet.
Edr.txt | Indeholder oversigten over EDR-stationer. Hver linie er én EDR klubstation. Call'et skal stå forrest på linien efterfulgt af mindst et mellemrum. Resten anvendes kun som en tekst, der vises i statuslinien. Filen skal være opdateret inden testen. OBS: Kun Calls fundet i denne fil giver 10 point.
Fejllist.txt | Kan dannes efter testen. Indeholder en oversigt over forskelle mellem det, der er registreret i loggene og det programmet mener der burde stå. Se også specifikation af fejllist output.
Fdkopi.txt | En mellemfil, som bruges ved ret af QSO.
FD10mCW.txt | Log for 10m CW. Anvendes under testen.
FD10mSSB.txt | Log for 10m SSB. Anvendes under testen.
FD15mCW.txt | Log for 15m CW. Anvendes under testen.
FD15mSSB.txt | Log for 15m SSB. Anvendes under testen.
FD20mCW.txt | Log for 20m CW. Anvendes under testen.
FD20mSSB.txt | Log for 20m SSB. Anvendes under testen.
FD40mCW.txt | Log for 40m CW. Anvendes under testen.
FD40mSSB.txt | Log for 40m SSB. Anvendes under testen.
FD80mCW.txt | Log for 80m CW. Anvendes under testen.
FD80mSSB.txt | Log for 80m SSB. Anvendes under testen.
fdlog<yyyy>.htm | Kan dannes efter testen. <yyyy> udskiftes med aktuelt årstal Indeholder en færdig hjemmeside, som er en listning af alle logs. Nederst er der en summary. Siden indeholder diverse navigationsfelter, så man kan hoppe op og ned ad siden. Bemærk navnet er stavet med små af hensyn til eventuelle unix-internet-servere.
fdlog<yyyy>.adi | Kan dannes efter testen. <yyyy> udskiftes med aktuelt årstal Indeholder en færdig ADIF fil, som er en listning af alle logs.
Lande.txt | Indeholder oversigten over lande. Filen bruges sammen med refpfx-filen og skal være opdateret inden testen. Filen dannes ved import af cty.dat. Undlad at forsøge dig med håndopdatering i denne fil.
Operator.txt | Indeholder oversigten over operatørcalls der tidligere har være anvendt. Den kan opdateres inden start på testen hvis man vil. Efter testen indeholder den alle calls fra operatør call listen. Der skal stå et call (forrest) på hver linie. Anvendes under testen.
Refpfx.txt | Indeholder oversigten over præfiks-referencer. Filen bruges sammen med lande-filen og skal være opdateret inden testen. Filen dannes ved import af cty.dat. Undlad at forsøge dig med håndopdatering i denne fil.
SM10mCW.txt | Dannet log for 10m CW. Sideskift, overskrifter og beregnede point er tilføjet. Beregnet for udskrift på linieskrivere (matrixprintere).
SM10mSSB.txt | Dannet log for 10m SSB. Sideskift, overskrifter og beregnede point er tilføjet. Beregnet for udskrift på linieskrivere (matrixprintere).
SM15mCW.txt | Dannet log for 15m CW. Sideskift, overskrifter og beregnede point er tilføjet. Beregnet for udskrift på linieskrivere (matrixprintere).
SM15mSSB.txt | Dannet log for 15m SSB. Sideskift, overskrifter og beregnede point er tilføjet. Beregnet for udskrift på linieskrivere (matrixprintere).
SM20mCW.txt | Dannet log for 20m CW. Sideskift, overskrifter og beregnede point er tilføjet. Beregnet for udskrift på linieskrivere (matrixprintere).
SM20mSSB.txt | Dannet log for 20m SSB. Sideskift, overskrifter og beregnede point er tilføjet. Beregnet for udskrift på linieskrivere (matrixprintere).
SM40mCW.txt | Dannet log for 40m CW. Sideskift, overskrifter og beregnede point er tilføjet. Beregnet for udskrift på linieskrivere (matrixprintere).
SM40mSSB.txt | Dannet log for 40m SSB. Sideskift, overskrifter og beregnede point er tilføjet. Beregnet for udskrift på linieskrivere (matrixprintere).
SM80mCW.txt | Dannet log for 80m CW. Sideskift, overskrifter og beregnede point er tilføjet. Beregnet for udskrift på linieskrivere (matrixprintere).
SM80mSSB.txt | Dannet log for 80m SSB. Sideskift, overskrifter og beregnede point er tilføjet. Beregnet for udskrift på linieskrivere (matrixprintere).
Summary.txt | Den dannede summary tekstfil. Du skal selv tilføje de sidste data. Se også specifikation af summarydata.
Ukendt.txt | Heri skrives calls (dvs. hele loglinien), hvor præfixet er ukendt, så de er nemme at lokalisere senere. Anvendes under testen. OBS: Den logansvarlige skal være opmærksom på at der kan komme en fil fra hver anvendt computer - med det samme navn.

Alle disse filer er tekstfiler, som kan rettes ved hjælp af en hvilken som helst editor. (Notepad.exe eller lignende), selvom det anbefales at lade programmet danne refpfx.txt og lande.txt ved behov. Filerne er alle udfyldte med eksempler når programmet installeres. Logfiler og filen ukendt.txt åbnes kun i det korte øjeblik der skal skrives i (bagenden af) dem eller indholdet skal indlæses i programmet.

Vognretur

Husk, at hvis du piller i nogen af filerne så skal hver linie afsluttes med 'vognretur' dvs. din cursor skal slutte forrest på linien under sidste linie og ikke henne til højre efter sidste linie. Ellers får programmet ikke læst sidste linie. Det skal se sådan ud:


Hvad hvis man logger på det forkerte bånd?

Spørgsmål: Hvordan retter man en logget QSO, hvis den er kørt i forkert Bånd / Mode ?

Svar: Programmet benytter een fil pr bånd/mode og det vil sige, at hvis du logger forkert, så er der kun den 'hårde' måde tilbage, men fortvivl ikke. Det er muligt.

  1. Luk FDlog ned.
  2. Indlæs den fil du har logget (forkert) i, i notepad.exe (notesblok)
  3. Indlæs den fil du skulle have logget i, i notepad.exe (notesblok)
  4. KOPIER, de linier du har logget forkert, over i bunden af den fil de SKULLE have været logget i.
  5. Når du har kopieret rigtigt, så slet linierne fra filen de var logget forkert i. Husk at sidste linie skal slutte med 'vognretur'. Se under i dokumentationen. (At kopiere i stedet for at slette i forbindelse med overflytningen giver dig mulighed for at redde loggen, hvis du skulle komme til at 'fumle' i processen.)
  6. LUK BEGGE notepad vinduer. Ellers kan du komme til at gemme en 'gammel' version af logfilen senere og derved tabe mange QSOer. Der er INGEN fildelingscheck!
  7. Start FDlog igen.
  8. Vælg det RIGTIGE bånd og den RIGTIGE mode.
  9. Vælg 'Indstillinger' og 'Nyt QSO nummer...' og sæt QSOnummeret til det rigtige. De linier du lige har kopieret over har sikkert det forkerte. OBS: QSO nummer kan kun sættes op i forhold til det som står i sidste loglinie (NOTE: linier ignoreres), så hvis du skulle have brug for at sætte det ned skal du altså:
    1. Lige lukke Fdlog ned igen og åbne den rigtige logfil i notepad.
    2. Noter sidste qso's afsendte rapportnummer på et stykke papir. Ændr sidste QSOnummer til en mindre en det du skal bruge.
    3. Start FDlog. Kør (mindst) en QSO (Så står der et 'rigtigt' QSOnr i sidste linie).
    4. Luk FDlog.
    5. Åbn filen og ret det QSOnr du pillede ved, til det, det var.
    6. Gem filen. Luk Notepad
    7. Start FDlog. Nu er du på plads.
    8. Tag en puster!! Pyhh...

- Med andre ord: LAD VÆRE MED AT LOGGE PÅ DET FORKERTE BÅND/MODE!!!!

Den luskede læser vil måske skynde sig at skifte til det rigtige bånd/mode og så bruge programmet til at logge der og så bruge notepad til at åbne den fil, der er logget forkert i, og slette de QSOer som ikke skal være der. Husk at lukke notepad, så du ikke senere kommer til at gemme en 'gammel' version af loggen og derved tabe mange QSO'er. Der er INGEN fildelingscheck!


FDlog 2000

FDlog

En oversigt over rettelser, ændringer og hændelser

(de versioner, som ikke har været på internettet, har været testet lokalt)

Version 2.3.9 (??. august 2006)

  • Contest Call vindue tilføjet. Ønske fra OZ8AGB.
  • Cw Indstillinger: De sidste 4 tekster har fået korrekt label: Shift+F#.
  • Ny mail adresse (Igen. Jeg ved det godt...) oz1iva@post.cybercity.dk
  • De forudfyldte felter: Klokkeslæt, rst sendt og modtaget selekteres, så man bare kan 'skrive oveni'. Tak til OZ0TE.
  • 'Sendt løbenummer' felt er disablet, så man ikke skal tabulere igennem det.
  • Tilføjet nyt menupunkt: Hjælp | Quick info, som viser den hurtige oversigt over funktioner. Fjernes ved tryk på Esc eller klik på dialog.

Version 2.3.8 (31. august 2005)

  • dx7vb.dll lægges i fdlog biblioteket i stedet for i systembiblioteket under installation. Det skulle gøre at installationen også virker under Win98, W2K,XP SP1 - Håber jeg.

Version 2.3.7 (26.august 2005)

  • chm filen virker ikke da XP passer på din computer. Fjernelse af blokering beskrevet.
  • Eksport ADIF... er rettet til Dan ADIF.
  • ADIF eksport dokumenteret.
  • Fejl 76, hvis der ikke er valgt logbibliotek, når Eksport ADIF vælges gør at programmet går ned. Rettet.
  • Edr.txt er ikke opdateret. Jo den er, men da klubbens maskine er UNIX-baseret er der forskel på Edr.txt og edr.txt. Rettet.
  • Der kommer en overflow fejl når man vælger menuen indhold. Rettet.

Version 2.3.6 (22. august 2005)

  • Fejl i papirudskrift af log. Årstal manglede sidste ciffer. Rettet. Tak til OZ1KKH.
  • Min mailadresse rettet til: oz1iva@tiscali.dk
  • Opdateringer af EDR.TXT
    • OZ1THY er fjernet.
    • OZ1VYL er fjernet. Et fyrskib. Ikke en lokalafdeling.
    • OZ2DU EDR Nordals Afdeling, Nordborgvej 64, Svenstrup, 6430 Nordborg er tilføjet
    • OZ2OOI er fjernet.
    • OZ6DDS er fjernet.
    • OZ1HQ er tilføjet. (Landsforeningens call)
    • OZ7HAS er fjernet
    • OZ7NYK er fjernet.
    • OZ7RDS er fjernet.
    • OZ8CPU er fjernet.
    • OZ8UHF er fjernet.

    Hvis der er nogen indvendinger, så lad mig det vide straks.

  • Cty.dat 7. juli 2005 er indlæst. Dvs. filerne lande.txt og refpfx.txt er opdateret.
  • Der er kommet 4 CW-tekster mere på.
  • Fdloganv.doc er udvidet med beskrivelse af CW-tekster.
  • Backup til valgfrit sted (f.eks. USB memory) er tilføjet.
  • Advarsel om at Diskettedrev ikke kan findes er tilføjet.
  • ADIF eksport er tilføjet.

Version 2.3.5 (27. august 2004)

  • edr.txt og refpfx/land.txt filer justeret til 2004
  • Startinfo ændret. Nu med anvisning på udskrift af hjælpeark og opfordring til læsning af doku.
  • Nyt menupunkt til visning af startinfo under hjælp.
  • Pointberegning ved rettelse af QSO spørger nu om det valgte pointtal er korrekt, hvis der er forskel mellem det og det tal programmet selv har beregnet..

Version 2.3.4 (12. september 2003)

  • Fejllisten kommer op med dupes og siger "EU/P station giver 5 point", hvilket jo netop ikke er tilfældet når der er tale om en dupe. Rettet. Tak til OZ1PIF.
    Fejllisten gør nu opmærksom på alle dupes også selv om de er korrekt pointsat.

Version 2.3.3 (25. august 2003)

  • Tiden skifter nu præcist sammen med computerens ur.
    Hidtil har en 'timer' skiftet tiden hver gang der var gået 60 sekunder. Denne timer startede sammen med programmet og kunne derfor i værste fald være 59 sekunder forsinket.

Version 2.3.2 (18. august 2003)

  • Uret stod stille, selvom fluebenet for Automatisk klokkeslæt var sat.
    Problemet opstod ved næstfølgende kørsel af programmet, hvis fluebenet var fjernet når programmet blev lukket. Tak til OZ1GWD.

Version 2.3.1 (16. august 2003)

  • Ved dubletter vises teksten '*** DUPE ***' med rød baggrund i Næste QSO nr dialogen.
  • Dokumentationen rettet.

Version 2.3.0 (9. august 2003)

  • Dokumentation rettet.
  • Når programmet starter kommer der en år 2002 besked - den gælder OGSÅ for 2003!
  • Word doku manglede billeder. Tak til OZ9PV for info!
  • OZ8MW (Silkeborg) tilføjet til edr.txt
  • lande.txt og pfx.txt opdateret til seneste version af cty.dat (1302 26. feb. 2003). Kan håndtere DP1POL og FR/J stationer.

Version 2.2.8 (2. september 2002)

  • Modes PSK31, RTTY og Hell er tilføjet i CW-loggen efter de regler FD-manager har FORTALT mig.
  • Dato til føjet i loggen.
  • Dato og mode indgår alle nødvendige steder i log, dialoger og udskrifter.
  • Dokumentationen er IKKE udvidet siden version 2.2.7.

Version 2.2.7 (8. april 2002) - har ikke været på Internettet!

  • Dublet advarsel vises kun i statuslinie.

Version 2.2.6 (16. oktober 2001) - har ikke været på Internettet!

  • Det er nu muligt at skifte bånd og mode ved at skrive hhv. 10M, 15M, 20M, 40M, 80M, CW og SSB i call-feltet.
  • Der er kommet online hjælp på. Hjælpen kan også køres udenfor programmet: FDlog.chm

Version 2.2.5 (15. september 2001) - har ikke været på Internettet!

  • Hvad var det nu lige jeg rettede til denne version?

Version 2.2.4 (10. september 2001)

  • Streg-P funktionen under funktioner er rettet så kun de QSO'er, der er problemer med, er tilbage.

Opdateringer til EDR.TXT v. OZ5P Peter (Tak for hjælpen!)

  • Hej Lars

    Jeg har lige checket filen edr.txt op imod Telestyrelsens tilladelsesregister. Følgende calls i listen er inddraget, og bør derfor ikke kunne komme i brug under testen:

    OZ1OOO
    OZ1TST
    OZ4CHR
    OZ4HOB
    OZ5KIK
    OZ5VAR
    OZ7ANT
    OZ7NYK
    OZ7TST
    OZ9SIG

    OZ2ALS har aldrig eksisteret!!

    OZ1VYL ser lidt underlig ud. Tilladelsen er udstedt til Motorfyrskib 1, men figurerer på listen som EDR Esbjerg.

    OZ6DDS er også lidt underlig. Tilladelsen er udstedt til Birkegruppen DDS og ikke til EDR Holstebro.

    Samme er tilfældet med OZ8CPU, som er udstedt til en Compuer interesse gruppe - men nok alligevel med tilknytning til EDR Amager.

    I listen mangler følgende:

    OZ0Q EDR Køge
    OZ0Y EDR København
    OZ2OOI EDR Randers
    OZ5ELO EDR København
    OZ9EVA EDR Skagen

    Hilsen

    Peter Marlau/OZ5P

  • Jeg har opdateret edr.txt filen efter ovenstående, men jeg har beholdt OZ1VYL, OZ6DDS og 8CPU i filen.
    Lars

Version 2.2.4 (27. juli 2001)

  • Programmet går ned hvis man forsøger at ændre CW indstillinger. Det skyldes at en tidligere version har kørt med intern max CW volume > 10000 (som er max for lydkort). Nu er max for lyd 10000.
    Dette står i registreringsbasen og bliver ikke slettet, når man afinstallerer en gammel version. Kan du finde ud af at ændre det i registreringsbasen skal du kigge under: HKEY_CURRENT_USER\Software\VB and VBA Program Settings\FDlog\CW og ændre 'Volume' til 10000 eller derunder.
    Denne exefil klarer selv problemet.

Version 2.2.3 (11. juli 2001)

  • Operatørfil gemmes ligeså snart den ændres. Der har været problemer med at indskrevne operatører forsvandt fra listen, når manrettede en QSO. Rettet.
  • Visning af land i statusbaren kan slåes fra/til i Vis menuen. Dette er indført fordi nogle PC'er ikke kører så stærkt.
    Et tryk på F2 eller valg af 'Vis land' i Funktioner menuen, viser landets navn i statusbaren.
    Fungerer på sidst loggede QSO, hvis Call-feltet er tomt.
  • Præfixhåndtering ændret. Nogle eksotiske kaldesignaler er et bestemt land uanset hvad der står før og efter skråstregen. (eks. T93A/HH=Haiti). Nogle kaldesignaler indeholder '/P' eller bestemte bogstaver i det permanente call (3D2AG/P og 3D2AG/R er Rotuma Island. Den første blev oversat til Fiji og den sidste blev opfattet som en russer).
    FR/<call>/J er Juan de Nova & Europa. Det fremgår af CTlog's dokumentation under kendte mangler, at programmet ikke kan håndtere den 'model' af call's.
    Det kan FDlog nu.
  • Point beregnes automatisk på Ret QSO dialogen, når man hopper ud af Callfeltet, men det fremgik ikke tydeligt, så der er lavet en 'Beregn Point' knap.
  • CW-delen: Hvis Call-feltet er tomt hentes oplysninger fra senest loggede QSO. Dvs. hvis man HAR logget QSO'en og modparten lige skal have rapport igen, så kan man det.

Version 2.2.2 (27. maj 2001) - har ikke været på Internettet!

  • F-taster.doc vedlagt. En lille huskepapirlap (når den er skrevet ud) med funktionstasterne. Er også vedlagt som HTML-fil.
  • Dato for første weekend blev beregnet forkert. Rettet. Loggen indeholder ikke dato. Dato for 1. hele weekend i september beregnes.
  • Klokkeslæt og dato var et problem, hvis man f.eks. havde sat sin computer op til at bruge punktum som skilletegn for dato mellem dag og måned og år. Rettet. Tak til 6VG for din udholdenhed!
  • Ved operatørskift spørger programmet nu om samme operatør fortsætter, så beslutningen tages i forbindelse med bånd eller modeskift i stedet for at det kommer som en overraskelse, når man forsøger at logge den første QSO efter bånd/mode skift.
  • Html filen fra 'dan html' får nu sat det rigtige årstal på. Dvs. at den i år kommer til at hedde "fdlog2001.htm". Navnet skrives nu med småt aht. UNIX.
  • Der er tilføjet små informationsdialoger i forbindelse med dannelse af fejlliste, log på disk, html og udskrift af log, som viser hvad der dannes efterhånden som programmet begynder på det. Ruden lukkes igen ved klik på 'Luk', Tryk på Alt+L, Esc eller Enter. Ønske fra OZ1JSH.

Version 2.2.1 (16. april 2001) - har ikke været på Internettet!

  • Ny pointberegningsrutine, derfor versionsskift til 2.2.1. Hidtil har point beregningen fulgt den almindelige 'dissekering' af calls. Det er lavet om så calls som HA1TD/6 giver point som HA6, men dubletchecker som HA1TD. Tak Allis.
  • Der var opstået en misforståelse omkring mfattelsen af /-og-et-tal calls (eks: UA3DF/9). De gav point som en /P-station. Det skal de ikke. Rettet. Tak Allis
  • OZ-klub stationer, med calls kortere end 6 tegn gav kun 1 point. Rettet. Tak Allis.
  • OZ7KOL, OZ0P tilføjet EDR.TXT filen. (HUSK AT GIVE MIG JERES NYE CALLS INDEN FD på %20EDR%20afdeling.">mailto:oz1iva@post3.tele.dk , så alle kan få en frisk fil med klubkaldesignalerne, så de kan få 10 point for QSO med jer!!!). Tak til alle.

Version 2.0.5 (20. september 2000)

  • Lyddelen forbedret, så det lyder anstændigt.

Version 2.0.4 (28. august 2000)

  • SÅ ER DER LYD PÅ! CW-delen fungerer. Hvem kommer først med 'modem'??
    Send/mail dit forslag, så lægger jeg det bedste/simpleste på nettet. Sidste frist er torsdag kl17.00! (jeg ved godt det er TÆT på FD...)
  • FDlog2000 kom til at hedde version 2.0.0 da lyden kom med.
  • Som I kan se så har der været et par småting inden denne version kom på gaden. Mine hjælpesomme TurboTestere fandt et par 'hovsaer' som jeg har pillet ud inden denne version blev sluppet løs.
  • Se også rettelser vedr. version 1.1.10
  • Man kan ikke køre nøgling via COM/LPT porte under Windows, da den interne interruptstyring ødelægger 'timingen' og derved 'klipper' i prikker og streger. I stedet sendes lyden nu ud via lydkortet.
  • CW-delen er IKKE dokumenteret!...endnu da...og pas på ved nogle WPM's lyder tegnene 'sjovt', men jeg håber du kan bruge det som det er. Jeg når ikke at lave en anden version af lydhåndteringen inden FD. Sri.
  • Der er under indstillinger et flag for 'Automatisk klokkeslæt'. Når fluebenet er sat kører programmet som det plejer. Hvis det er fjernet, så skal tidspunktet indtastes. Funktionen er tænkt til dem som måske hellere vil taste loggen ind efter testen.

Version 1.1.10 (Denne version nåede aldrig 'på gaden' - det var vigtigere at få lavet lyd - undskyld!)

  • Programmet gik ned hvis man forsøgte 'at rette en QSO' i en tom log. Dvs. at man trykkede 'enter' mens cursoren stod i en tom logliste. Tak til OZ1AKN
  • Udskrift af ukendte calls. Siden kom pænt ud med overskrift og sidenummer, men QSO'er blev skrevet på selve FDlog billedet. Rettet. Tak til OZ1AKN
  • Vinduerne "Ikke kørte EDR stationer" og "Kørte EDR stationer":
    Når vinduet mindskes til minimum højde, popper et lille "FDlog"-vindue op med teksten: "Run-time error '380': Invalid property value." Når der klikkes "OK", lukker FDlog programmet helt ned og skal startes op på ny. Rettet. Tak til OZ6VG
  • Når vinduet mindskes i bredden, mindskes også kolonnebredden, så kaldesignalerne flyder sammen til ulæselighed. Den vandrette 'glider' i bunden af vinduet kommer kun frem en gang imellem. Rettet. Tak til OZ6VG
  • Når vinduet mindskes til minimum bredde og derefter igen øges, er der kun én kolonne med kaldesignaler og en vandret 'glider' i bunden af vinduet. Når 'glideren' bevæges mod højre, skifter listen med kaldesignaler 'én side af gangen' i lodret retning.
    Fejl i Windows' håndtering af flerkolonnelister. Fejlen fjernet pga. foregående rettelse.
  • En fejl i registreringen af nye operatører efter 'påbygningen' af funktionen til rettelse af QSO, gjorde at filen 'operator.txt' blev efterladt tom. Rettet. Tak til OZ6VG
  • Kravet om at programmet SKAL installeres på C: frafaldes. Tak til OZ6VG for info.
  • Første gang FDlog starter, beder den om at du vælger eller opretter et logbibliotek. Tak til OZ6VG.
  • Ukendte præfixer gav 3 point. Rettet til 0. Tak til OZ1AKN

Revideret liste over EDR calls

  • Landsforeningen har velvilligt stillet en revideret liste til rådighed.
    Tak til Per fordi han gav lov.
    Tak til Lone og Jette for udført arbejde og lån af deres tid.
  • Se Download siden.

Version 1.1.9 (19. juli 2000)

  • 5P1ER gav 3 point, men skulle kun give 1 da det er en OZ station. Rettet. Tak til OZ5P.
  • Samme melding gjorde mig opmærksom på, at OX stationer aldrig ville blive opfattet som EDR stationer, der skal give 10 point. Rettet.

Version 1.1.8 (17. juli 2000)

  • Tyrkiet gav altid 6 point. Nu giver den Europæiske del: TA0,TA1,TB0,TB1,TC0,TC1,YM0,YM1 kun 3 point. (og 5 for /P-stns...). Rettet. Tak til OZ5LH og OZ1ACB.

Version 1.1.7

  • /QRP blev opfattet som et præfix. Rettet.
  • UTC er kommet med på Call Check ruden.

11. juli 2000: Doku til version 1.1.6!!

Version 1.1.6 (7. juli 2000)

Nye faciliteter:

  • Loggede QSOer kan rettes online.
  • Fejlliste. Validering af logs efter test
  • Præfixtabeller er opdateret pr. 3. juli 2000 i den totale installationsfil version 1.1.6.(Kommer snart)
  • UTC offset er rettet til default -2 timer.
  • Det skal være muligt at slette alle inputfelterne (CALL + RST) ved at trykke escape. Virkede kun på det felt man stod i. Er lavet.
  • Tekst på 'Om FDlog' rettet.
  • FD Icon lavet.
  • 'Slavevinduerne' Nyt QSOnr og Kørte Calls minimeres sammen med FDlogdialogen.
  • QSOnr i Kørte Calls. Rart når man skal fortælle dubletten, hvor i loggen han/hun skal finde en.

Rettede fejl:

  • Korrekt styring af multiplier. (Ikke-CQWW opdeling) . Er lavet. Importer cty.dat med denne version, hvis du kun har hentet en ny exefilversion.
  • Korrekt validering af tidspunkter i frmMain, frmRetQSO og import. (Der er ingen som har opdaget denne fejl under test eller FD1999!!!!)
  • DoEvents fjernet. (Programmeringsintern ting)
  • Når man importerede præfixlisten startedes en ny version af FDlog. Fjernet.
  • Blank side efter hver udskrift fjernet. (Gav også blank side mellem hvert bånd i totaludskrift.)
  • Operatør må ikke være blank.

Dokumentation:

  • JA JA - Jeg skal nok!!!!

Version 1.1.5 (4. juni 2000)

  • År 2000 sikring. Er lavet.
  • Det skal være muligt at slette alle inputfelterne (CALL + RST) ved at trykke escape. Virkede kun på det felt man stod i.
  • Diskettekopi-teksten rettes til 'kopieres' i stedet for 'kopieret'. Så når man, at se, at den sidste fil også bliver kopieret over. Er lavet.
  • Korrekt dato på udskrifterne. Er lavet. Programmet finder selv den rigtige dato i året.
  • Klasse A/B markering (til summary). Er lavet.
  • Telefonnummer på log-ansvarlig (til summary). Er lavet.

Version 1.1.4 (FD 1999)

Endelig version til FD 1999.


F1

 | F1 | F2 | F3 | F4 | F5 | F6 | F7 | F8
 |  | Vis Land | Ikke kørte EDR stationer | Kørte EDR stationer | CW: CQ TEST | CW: CL? | CW: OZ7RJ | CW: Send RAPPORT
Shift+tast | SSB | CW |  |  |  |  |  |
Ctrl+tast | 10M | 15M | 20M | 40M | 80M |  |  |

Obs: hvis du HAR logget qso'en kan du stadig sende samme rapport til modparten, sålænge CALL-feltet er tomt.


langsom PC.htm

Langsom PC

Hvis du er den (u)lykkelige ejer af en langsommere PC, kan du slå den automatiske fremfinding af landenavne fra i menuen Vis. Fjern fluebenet ud for Vis lands navn i statusbar.

(Menuvalg Alt+V, V)

Hvis du har brug for at få landet navn at vide kan du altid trykke på F2 eller vælge menupunkt Vis land under menuen funktioner.

(Menuvalg Alt+K, V eller F2)